Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class PendingModifiedValues

    java.lang.Object
      com.amazonaws.services.rds.model.PendingModifiedValues

    public class PendingModifiedValues

extends Object

Constructor Summary
`PendingModifiedValues()`

Method Summary
`Integer` | `getAllocatedStorage()` Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.
`Integer` | `getBackupRetentionPeriod()` Specifies the pending number of days for which automated backups are retained.
`String` | `getDBInstanceClass()` Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.
`String` | `getMasterUserPassword()` Contains the pending or in-progress change of the master credentials for the DB Instance.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`Integer` | `getPort()` Specifies the pending port for the DB Instance.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`void` | `setAllocatedStorage(Integer allocatedStorage)` Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.
`void` | `setBackupRetentionPeriod(Integer backupRetentionPeriod)` Specifies the pending number of days for which automated backups are retained.
`void` | `setDBInstanceClass(String dBInstanceClass)` Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.
`void` | `setMasterUserPassword(String masterUserPassword)` Contains the pending or in-progress change of the master credentials for the DB Instance.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPort(Integer port)` Specifies the pending port for the DB Instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PendingModifiedValues` | `withAllocatedStorage(Integer allocatedStorage)` Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.
`PendingModifiedValues` | `withBackupRetentionPeriod(Integer backupRetentionPeriod)` Specifies the pending number of days for which automated backups are retained.
`PendingModifiedValues` | `withDBInstanceClass(String dBInstanceClass)` Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.
`PendingModifiedValues` | `withMasterUserPassword(String masterUserPassword)` Contains the pending or in-progress change of the master credentials for the DB Instance.
`PendingModifiedValues` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`PendingModifiedValues` | `withPort(Integer port)` Specifies the pending port for the DB Instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PendingModifiedValues

    public PendingModifiedValues()

Method Detail

### getDBInstanceClass

    public String getDBInstanceClass()

  Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.

  Returns:
    Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.

  Parameters:
    `dBInstanceClass` - Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.

### withDBInstanceClass

    public PendingModifiedValues withDBInstanceClass(String dBInstanceClass)

  Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - Contains the new DBInstanceClass for the DB Instance that will be applied or is in progress.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllocatedStorage

    public Integer getAllocatedStorage()

  Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.

  Returns:
    Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.

### setAllocatedStorage

    public void setAllocatedStorage(Integer allocatedStorage)

  Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.

  Parameters:
    `allocatedStorage` - Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.

### withAllocatedStorage

    public PendingModifiedValues withAllocatedStorage(Integer allocatedStorage)

  Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allocatedStorage` - Contains the new AllocatedStorage size for the DB Instance that will be applied or is in progress.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterUserPassword

    public String getMasterUserPassword()

  Contains the pending or in-progress change of the master credentials for the DB Instance.

  Returns:
    Contains the pending or in-progress change of the master credentials for the DB Instance.

### setMasterUserPassword

    public void setMasterUserPassword(String masterUserPassword)

  Contains the pending or in-progress change of the master credentials for the DB Instance.

  Parameters:
    `masterUserPassword` - Contains the pending or in-progress change of the master credentials for the DB Instance.

### withMasterUserPassword

    public PendingModifiedValues withMasterUserPassword(String masterUserPassword)

  Contains the pending or in-progress change of the master credentials for the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUserPassword` - Contains the pending or in-progress change of the master credentials for the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  Specifies the pending port for the DB Instance.

  Returns:
    Specifies the pending port for the DB Instance.

### setPort

    public void setPort(Integer port)

  Specifies the pending port for the DB Instance.

  Parameters:
    `port` - Specifies the pending port for the DB Instance.

### withPort

    public PendingModifiedValues withPort(Integer port)

  Specifies the pending port for the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - Specifies the pending port for the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBackupRetentionPeriod

    public Integer getBackupRetentionPeriod()

  Specifies the pending number of days for which automated backups are retained.

  Returns:
    Specifies the pending number of days for which automated backups are retained.

### setBackupRetentionPeriod

    public void setBackupRetentionPeriod(Integer backupRetentionPeriod)

  Specifies the pending number of days for which automated backups are retained.

  Parameters:
    `backupRetentionPeriod` - Specifies the pending number of days for which automated backups are retained.

### withBackupRetentionPeriod

    public PendingModifiedValues withBackupRetentionPeriod(Integer backupRetentionPeriod)

  Specifies the pending number of days for which automated backups are retained.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `backupRetentionPeriod` - Specifies the pending number of days for which automated backups are retained.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public PendingModifiedValues withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.